searchNodes=[{"doc":"","ref":"Binance.html","title":"Binance","type":"module"},{"doc":"Cancel an active order.. Symbol and either orderId or origClientOrderId must be sent. Returns {:ok, %Binance.Order{}} or {:error, reason} . Weight: 1 Info: https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md#cancel-order-trade","ref":"Binance.html#cancel_order/6","title":"Binance.cancel_order/6","type":"function"},{"doc":"Closes/disables the listen key. To be used when you stop listening to the stream. Returns {:ok, %{}} or {:error, reason} . For more context please read https://github.com/binance/binance-spot-api-docs/blob/master/user-data-stream.md#close-a-listenkey","ref":"Binance.html#close_listen_key/1","title":"Binance.close_listen_key/1","type":"function"},{"doc":"Creates a socket listen key that later can be used as parameter to listen for user related events. Returns {:ok, %Binance.DataStream{}} or {:error, reason} . Example { :ok , % Binance.DataStream { listen_key : &quot;pqia91ma19a5s61cv6a81va65sdf19v8a65a1a5s61cv6a81va65sdf19v8a65a1&quot; } } For more context please read https://github.com/binance/binance-spot-api-docs/blob/master/user-data-stream.md#create-a-listenkey","ref":"Binance.html#create_listen_key/0","title":"Binance.create_listen_key/0","type":"function"},{"doc":"Creates a new order on binance Returns {:ok, %{}} or {:error, reason} . In the case of a error on binance, for example with invalid parameters, {:error, {:binance_error, %{code: code, msg: msg}}} will be returned. Please read https://www.binance.com/restapipub.html#user-content-account-endpoints to understand all the parameters","ref":"Binance.html#create_order/11","title":"Binance.create_order/11","type":"function"},{"doc":"","ref":"Binance.html#fetch_order/5","title":"Binance.fetch_order/5","type":"function"},{"doc":"Searches and normalizes the symbol as it is listed on binance. To retrieve this information, a request to the binance API is done. The result is then cached to ensure the request is done only once. Order of which symbol comes first, and case sensitivity does not matter. Returns {:ok, &quot;SYMBOL&quot;} if successfully, or {:error, reason} otherwise. Examples These 3 calls will result in the same result string: find_symbol ( % Binance.TradePair { from : &quot;ETH&quot; , to : &quot;REQ&quot; } ) find_symbol ( % Binance.TradePair { from : &quot;REQ&quot; , to : &quot;ETH&quot; } ) find_symbol ( % Binance.TradePair { from : &quot;rEq&quot; , to : &quot;eTH&quot; } ) Result: {:ok, &quot;REQETH&quot;}","ref":"Binance.html#find_symbol/1","title":"Binance.find_symbol/1","type":"function"},{"doc":"Fetches user account from binance Returns {:ok, %Binance.Account{}} or {:error, reason} . In the case of a error on binance, for example with invalid parameters, {:error, {:binance_error, %{code: code, msg: msg}}} will be returned. Please read https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md#account-information-user_data to understand API","ref":"Binance.html#get_account/0","title":"Binance.get_account/0","type":"function"},{"doc":"Get all symbols and current prices listed in binance Returns {:ok, [%Binance.SymbolPrice{}]} or {:error, reason} . Example { :ok , [ % Binance.SymbolPrice { price : &quot;0.07579300&quot; , symbol : &quot;ETHBTC&quot; } , % Binance.SymbolPrice { price : &quot;0.01670200&quot; , symbol : &quot;LTCBTC&quot; } , % Binance.SymbolPrice { price : &quot;0.00114550&quot; , symbol : &quot;BNBBTC&quot; } , % Binance.SymbolPrice { price : &quot;0.00640000&quot; , symbol : &quot;NEOBTC&quot; } , % Binance.SymbolPrice { price : &quot;0.00030000&quot; , symbol : &quot;123456&quot; } , % Binance.SymbolPrice { price : &quot;0.04895000&quot; , symbol : &quot;QTUMETH&quot; } , ... ] }","ref":"Binance.html#get_all_prices/0","title":"Binance.get_all_prices/0","type":"function"},{"doc":"Retrieves the bids &amp; asks of the order book up to the depth for the given symbol Returns {:ok, %{bids: [...], asks: [...], lastUpdateId: 12345}} or {:error, reason} Example { :ok , % Binance.OrderBook { asks : [ [ &quot;8400.00000000&quot; , &quot;2.04078100&quot; , [ ] ] , [ &quot;8405.35000000&quot; , &quot;0.50354700&quot; , [ ] ] , [ &quot;8406.00000000&quot; , &quot;0.32769800&quot; , [ ] ] , [ &quot;8406.33000000&quot; , &quot;0.00239000&quot; , [ ] ] , [ &quot;8406.51000000&quot; , &quot;0.03241000&quot; , [ ] ] ] , bids : [ [ &quot;8393.00000000&quot; , &quot;0.20453200&quot; , [ ] ] , [ &quot;8392.57000000&quot; , &quot;0.02639000&quot; , [ ] ] , [ &quot;8392.00000000&quot; , &quot;1.40893300&quot; , [ ] ] , [ &quot;8390.09000000&quot; , &quot;0.07047100&quot; , [ ] ] , [ &quot;8388.72000000&quot; , &quot;0.04577400&quot; , [ ] ] ] , last_update_id : 113634395 } }","ref":"Binance.html#get_depth/2","title":"Binance.get_depth/2","type":"function"},{"doc":"","ref":"Binance.html#get_exchange_info/0","title":"Binance.get_exchange_info/0","type":"function"},{"doc":"Get historical trades https://binance-docs.github.io/apidocs/spot/en/#old-trade-lookup Returns {:ok, [%Binance.HistoricalTrade{}]} or {:error, reason} . Example {:ok, [%Binance.HistoricalTrade{ id: 192180149, is_best_match: true, is_buyer_maker: true, price: &quot;1.79878000&quot;, qty: &quot;55.50000000&quot;, quote_qty: &quot;99.83229000&quot;, time: 1618341167715 }] }","ref":"Binance.html#get_historical_trades/3","title":"Binance.get_historical_trades/3","type":"function"},{"doc":"Retrieves klines for a symbol, provided a given interval, e.g. &quot;1h&quot;. Function can also take in a 'limit' argument to reduce the number of intervals. Returns {:ok, [%Binance.Kline{}] or {:error, reason} Example { :ok , [ % Binance.Kline { close : &quot;0.16527000&quot; , close_time : 1617861599999 , high : &quot;0.17100000&quot; , ignore : &quot;0&quot; , low : &quot;0.16352000&quot; , number_of_trades : 16167 , open : &quot;0.17088000&quot; , open_time : 1617858000000 , quote_asset_volume : &quot;7713624.32966000&quot; , taker_buy_base_asset_volume : &quot;22020677.70000000&quot; , taker_buy_quote_asset_volume : &quot;3668705.43042700&quot; , volume : &quot;46282422.20000000&quot; } , % Binance.Kline { ...","ref":"Binance.html#get_klines/3","title":"Binance.get_klines/3","type":"function"},{"doc":"Get all open orders, alternatively open orders by symbol Returns {:ok, [%Binance.Order{}]} or {:error, reason} . Weight: 1 for a single symbol; 40 when the symbol parameter is omitted Example { :ok , [ % Binance.Order { price : &quot;0.1&quot; , origQty : &quot;1.0&quot; , executedQty : &quot;0.0&quot; , ... } , % Binance.Order { ... } , % Binance.Order { ... } , % Binance.Order { ... } , % Binance.Order { ... } , % Binance.Order { ... } , ... ] }","ref":"Binance.html#get_open_orders/0","title":"Binance.get_open_orders/0","type":"function"},{"doc":"","ref":"Binance.html#get_open_orders/1","title":"Binance.get_open_orders/1","type":"function"},{"doc":"Get order by symbol, timestamp and either orderId or origClientOrderId are mandatory Returns {:ok, [%Binance.Order{}]} or {:error, reason} . Weight: 1 Example { :ok , % Binance.Order { price : &quot;0.1&quot; , origQty : &quot;1.0&quot; , executedQty : &quot;0.0&quot; , ... } } Info: https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md#query-order-user_data","ref":"Binance.html#get_order/5","title":"Binance.get_order/5","type":"function"},{"doc":"Get binance server time in unix epoch. Returns {:ok, time} if successful, {:error, reason} otherwise Example { :ok , 1515390701097 }","ref":"Binance.html#get_server_time/0","title":"Binance.get_server_time/0","type":"function"},{"doc":"Fetches system status. Returns {:ok, %Binance.SystemStatus{}} or {:error, reason} .","ref":"Binance.html#get_system_status/0","title":"Binance.get_system_status/0","type":"function"},{"doc":"Retrieves the current ticker information for the given trade pair. Symbol can be a binance symbol in the form of &quot;ETHBTC&quot; or %Binance.TradePair{} . Returns {:ok, %Binance.Ticker{}} or {:error, reason} Example { :ok , % Binance.Ticker { ask_price : &quot;0.07548800&quot; , bid_price : &quot;0.07542100&quot; , close_time : 1515391124878 , count : 661676 , first_id : 16797673 , high_price : &quot;0.07948000&quot; , last_id : 17459348 , last_price : &quot;0.07542000&quot; , low_price : &quot;0.06330000&quot; , open_price : &quot;0.06593800&quot; , open_time : 1515304724878 , prev_close_price : &quot;0.06593800&quot; , price_change : &quot;0.00948200&quot; , price_change_percent : &quot;14.380&quot; , volume : &quot;507770.18500000&quot; , weighted_avg_price : &quot;0.06946930&quot; } }","ref":"Binance.html#get_ticker/1","title":"Binance.get_ticker/1","type":"function"},{"doc":"Socket listen key expires after 30 minutes withouth a pong response, this allows keeping it alive. Returns {:ok, %{}} or {:error, reason} . For more context please read https://github.com/binance/binance-spot-api-docs/blob/master/user-data-stream.md#pingkeep-alive-a-listenkey","ref":"Binance.html#keep_alive_listen_key/1","title":"Binance.keep_alive_listen_key/1","type":"function"},{"doc":"Creates a new limit buy order Symbol can be a binance symbol in the form of &quot;ETHBTC&quot; or %Binance.TradePair{} . Returns {:ok, %{}} or {:error, reason}","ref":"Binance.html#order_limit_buy/4","title":"Binance.order_limit_buy/4","type":"function"},{"doc":"Creates a new limit sell order Symbol can be a binance symbol in the form of &quot;ETHBTC&quot; or %Binance.TradePair{} . Returns {:ok, %{}} or {:error, reason}","ref":"Binance.html#order_limit_sell/4","title":"Binance.order_limit_sell/4","type":"function"},{"doc":"Creates a new market buy order Symbol can be a binance symbol in the form of &quot;ETHBTC&quot; or %Binance.TradePair{} . Returns {:ok, %{}} or {:error, reason}","ref":"Binance.html#order_market_buy/2","title":"Binance.order_market_buy/2","type":"function"},{"doc":"Creates a new market sell order Symbol can be a binance symbol in the form of &quot;ETHBTC&quot; or %Binance.TradePair{} . Returns {:ok, %{}} or {:error, reason}","ref":"Binance.html#order_market_sell/2","title":"Binance.order_market_sell/2","type":"function"},{"doc":"Pings binance API. Returns {:ok, %{}} if successful, {:error, reason} otherwise","ref":"Binance.html#ping/0","title":"Binance.ping/0","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v3/account defstruct [ :maker_commission , :taker_commission , :buyer_commission , :seller_commission , :can_trade , :can_withdrawl , :can_deposit , :update_time , :balances ]","ref":"Binance.Account.html","title":"Binance.Account","type":"module"},{"doc":"","ref":"Binance.Account.html#new/2","title":"Binance.Account.new/2","type":"function"},{"doc":"Struct for representing a user data stream. defstruct [ :listen_key ]","ref":"Binance.DataStream.html","title":"Binance.DataStream","type":"module"},{"doc":"","ref":"Binance.DataStream.html#new/2","title":"Binance.DataStream.new/2","type":"function"},{"doc":"Struct for representing the result returned by /api/v1/exchangeInfo","ref":"Binance.ExchangeInfo.html","title":"Binance.ExchangeInfo","type":"module"},{"doc":"","ref":"Binance.ExchangeInfo.html#new/2","title":"Binance.ExchangeInfo.new/2","type":"function"},{"doc":"Struct for representing the result returned by /api/v3/historicalTrades","ref":"Binance.HistoricalTrade.html","title":"Binance.HistoricalTrade","type":"module"},{"doc":"","ref":"Binance.HistoricalTrade.html#new/2","title":"Binance.HistoricalTrade.new/2","type":"function"},{"doc":"","ref":"Binance.InsufficientBalanceError.html","title":"Binance.InsufficientBalanceError","type":"module"},{"doc":"Struct for representing a result row as returned by /api/v3/kline defstruct [ :open_time , :open , :high , :low , :close , :volume , :close_time , :quote_asset_volume , :number_of_trades , :taker_buy_base_asset_volume , :taker_buy_quote_asset_volume , :ignore ]","ref":"Binance.Kline.html","title":"Binance.Kline","type":"module"},{"doc":"","ref":"Binance.Kline.html#new/1","title":"Binance.Kline.new/1","type":"function"},{"doc":"Struct for representing the result returned by /api/v3/openOrders","ref":"Binance.Order.html","title":"Binance.Order","type":"module"},{"doc":"","ref":"Binance.Order.html#new/2","title":"Binance.Order.new/2","type":"function"},{"doc":"Struct for representing the result returned by /api/v1/depth","ref":"Binance.OrderBook.html","title":"Binance.OrderBook","type":"module"},{"doc":"","ref":"Binance.OrderBook.html#new/2","title":"Binance.OrderBook.new/2","type":"function"},{"doc":"","ref":"Binance.OrderResponse.html","title":"Binance.OrderResponse","type":"module"},{"doc":"","ref":"Binance.OrderResponse.html#new/2","title":"Binance.OrderResponse.new/2","type":"function"},{"doc":"","ref":"Binance.Rest.HTTPClient.html","title":"Binance.Rest.HTTPClient","type":"module"},{"doc":"","ref":"Binance.Rest.HTTPClient.html#delete_binance/2","title":"Binance.Rest.HTTPClient.delete_binance/2","type":"function"},{"doc":"","ref":"Binance.Rest.HTTPClient.html#delete_binance/4","title":"Binance.Rest.HTTPClient.delete_binance/4","type":"function"},{"doc":"","ref":"Binance.Rest.HTTPClient.html#get_binance/2","title":"Binance.Rest.HTTPClient.get_binance/2","type":"function"},{"doc":"","ref":"Binance.Rest.HTTPClient.html#get_binance/4","title":"Binance.Rest.HTTPClient.get_binance/4","type":"function"},{"doc":"","ref":"Binance.Rest.HTTPClient.html#signed_request_binance/3","title":"Binance.Rest.HTTPClient.signed_request_binance/3","type":"function"},{"doc":"You need to send an empty body and the api key to be able to create a new listening key.","ref":"Binance.Rest.HTTPClient.html#unsigned_request_binance/3","title":"Binance.Rest.HTTPClient.unsigned_request_binance/3","type":"function"},{"doc":"Supervisor for cache and other required persistence layers","ref":"Binance.Supervisor.html","title":"Binance.Supervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Binance.Supervisor.html#child_spec/1","title":"Binance.Supervisor.child_spec/1","type":"function"},{"doc":"Callback implementation for Supervisor.init/1 .","ref":"Binance.Supervisor.html#init/1","title":"Binance.Supervisor.init/1","type":"function"},{"doc":"","ref":"Binance.Supervisor.html#start/2","title":"Binance.Supervisor.start/2","type":"function"},{"doc":"","ref":"Binance.Supervisor.html#start_link/1","title":"Binance.Supervisor.start_link/1","type":"function"},{"doc":"Cache for storing symbol names Normalization is done by calling the Binance API and retrieving all available symbols. To avoid that this request is done more than once, results are cache inside this module.","ref":"Binance.SymbolCache.html","title":"Binance.SymbolCache","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Binance.SymbolCache.html#child_spec/1","title":"Binance.SymbolCache.child_spec/1","type":"function"},{"doc":"","ref":"Binance.SymbolCache.html#get/0","title":"Binance.SymbolCache.get/0","type":"function"},{"doc":"","ref":"Binance.SymbolCache.html#start_link/1","title":"Binance.SymbolCache.start_link/1","type":"function"},{"doc":"","ref":"Binance.SymbolCache.html#store/1","title":"Binance.SymbolCache.store/1","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v1/ticker/allPrices defstruct [ :symbol , :price ]","ref":"Binance.SymbolPrice.html","title":"Binance.SymbolPrice","type":"module"},{"doc":"","ref":"Binance.SymbolPrice.html#new/2","title":"Binance.SymbolPrice.new/2","type":"function"},{"doc":"Struct for representing the result returned by /wapi/v3/systemStatus.html defstruct [ :status , :msg ]","ref":"Binance.SystemStatus.html","title":"Binance.SystemStatus","type":"module"},{"doc":"","ref":"Binance.SystemStatus.html#new/2","title":"Binance.SystemStatus.new/2","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v1/ticker/24hr defstruct [ :price_change , :price_change_percent , :weighted_avg_price , :prev_close_price , :last_price , :bid_price , :ask_price , :open_price , :high_price , :low_price , :volume , :open_time , :close_time , :first_id , :last_id , :count ]","ref":"Binance.Ticker.html","title":"Binance.Ticker","type":"module"},{"doc":"","ref":"Binance.Ticker.html#new/2","title":"Binance.Ticker.new/2","type":"function"},{"doc":"Struct for representing a normalized trade pair. @enforce_keys [ :from , :to ] defstruct @enforce_keys","ref":"Binance.TradePair.html","title":"Binance.TradePair","type":"module"}]